Mailinglist Archive: opensuse-security-announce (65 mails)

< Previous Next >
[security-announce] openSUSE-SU-2017:0790-1: important: Security update for mbedtls
openSUSE Security Update: Security update for mbedtls
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0790-1
Rating: important
References: #1029017
Cross-References: CVE-2017-2784
Affected Products:
openSUSE Leap 42.2
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update to mbedtls 1.3.19 fixes security issues and bugs.

The following vulnerability was fixed:

CVE-2017-2784: A remote user could have used a specially crafted
certificate to cause mbedtls to free a buffer allocated on the stack when
verifying the validity
of public key with a secp224k1 curve, which could have
allowed remote code execution on some platforms (boo#1029017)

The following non-security changes are included:

- Add checks to prevent signature forgeries for very large messages while
using RSA through the PK module in 64-bit systems.
- Fixed potential livelock during the parsing of a CRL in PEM format


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-372=1

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-372=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

libmbedtls9-1.3.19-15.1
libmbedtls9-debuginfo-1.3.19-15.1
mbedtls-debugsource-1.3.19-15.1
mbedtls-devel-1.3.19-15.1

- openSUSE Leap 42.2 (x86_64):

libmbedtls9-32bit-1.3.19-15.1
libmbedtls9-debuginfo-32bit-1.3.19-15.1

- openSUSE Leap 42.1 (i586 x86_64):

libmbedtls9-1.3.19-15.1
libmbedtls9-debuginfo-1.3.19-15.1
mbedtls-debugsource-1.3.19-15.1
mbedtls-devel-1.3.19-15.1

- openSUSE Leap 42.1 (x86_64):

libmbedtls9-32bit-1.3.19-15.1
libmbedtls9-debuginfo-32bit-1.3.19-15.1


References:

https://www.suse.com/security/cve/CVE-2017-2784.html
https://bugzilla.suse.com/1029017

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages